.hc-tujian-title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #919191;
    font-size: 14px;
    margin-bottom: 12px;
}

.hc-tujian-title img {
    height: 32px;
}

.hc-tujian-waterfall {
    display: flex;
    gap: 16px;
    margin: 0 auto;
    align-items: flex-start;
}

.col {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.item {
    width: 100%;
    height: auto;
    background-color: #e0e0e0;
    position: relative;
    border-radius: 12px;
    overflow: hidden;
    cursor: pointer;
}

.item img {
    display: block;
    width: 100%;
    height: auto;
    object-fit: cover;
    background: #d9d9d9;
    opacity: 0;
    transition: all 0.3s ease;
    border-radius: 12px;
    position: relative;
    z-index: 0;
}

.item img.loaded {
    opacity: 1;
}

.placeholder-text {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 64px;
    background: linear-gradient(transparent, #000);
    color: #fff;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    padding: 20px;
    border-radius: 0 0 12px 12px;
    transition: all 0.3s;
    box-sizing: border-box;
    gap: 8px;
    z-index: 1;
}

.item:hover .placeholder-text {
    height: 100%;
    align-items: flex-start;
    padding: 40px 20px;
}

.placeholder-text>.uploader {
    display: flex;
    align-items: center;
    gap: 8px;
}

.item .placeholder-text>.info {
    font-size: 14px;
    height: 0;
    overflow: hidden;
    transition: all 0.3s ease;
    padding-top: 20px;
    opacity: 0;
    line-height: 24px;
}

.item:hover .placeholder-text>.info {
    height: auto;
    opacity: 0.7;
}

.img-box {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999999;
}

.img-box img {
    max-width: 80%;
    max-height: 80%;
    object-fit: contain;
}

.close-btn {
    position: fixed;
    top: 0;
    right: 0;
    width: 48px;
    height: 48px;
    z-index: 99999999;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-size: 18px;
    cursor: pointer;
    user-select: none;
}

.hc-banners {
    margin: 20px 0;
}
.hc-banners img {
    width: 100%;
    border-radius: 8px;
    margin: 5px 0;
}
.hc-p1 {
    display: flex;
    gap: 20px;
    margin: 20px 0;
}
.hc-p1-left {
    width: 80%;
    user-select: none;
}
.hc-p1-left img {
    width: 100%;
    border-radius: 8px;
}
.hc-p1-right {
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: space-between;
    width: 30%;
}
.hc-p1-card {
    height: 100%;
    border-radius: 8px;
    padding: 30px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    gap: 8px;
    justify-content: flex-end;
    cursor: pointer;
}
.hc-p1-card > span {
    font-size: 14px;
    color: #fff;
}
.hc-p1-card.card-1 {
    background: linear-gradient(135deg, #a8e063, #56ab2f);
}
.hc-p1-card.card-2 {
    background: linear-gradient(135deg, #c7e9fb, #a6defa, #80d4f9, #5bc9f8, #35bef7);
}
@media screen and (max-width: 700px) {
    #hc-container {
        min-width: 0;
        padding: 10px;
    }
    .hc-p1 {
        flex-direction: column;
        width: calc(100vw - 20px);
        gap: 10px;
    }
    .hc-p1-left {
        width: 100%;
    }
    .hc-p1-left img{
        width: 100%;
    }
    .hc-p1-right {
        width: 100%;
        display: flex;
        flex-direction: row;
        gap: 10px;
    }
    .hc-p1-card {
        width: 100%;
    }
    .hc-banners {
        width: calc(100vw - 20px);
        box-sizing: border-box;
    }
    .hc-tujian-waterfall > .col > .item {
        width: calc(100vw - 60px);
        box-sizing: border-box;
    }
}